package com.convenient.android.common.media.config

import java.io.File

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/8/2
 * description: 文件媒体查询的配置
 */
class MediaQueryConfig {

    /**
     * 排序方式
     */
    var order: MediaSortOrder = MediaSortOrder.ASC

    /**
     * 排序类型
     */
    var sortType : MediaSortType = MediaSortType.DATE

    /**
     * 忽略的子目录或文件路径，要完整路径
     * 不管是文件还是文件夹，只要向匹配就忽略，
     */
    var ignoreChildFiles: List<File> = mutableListOf()

    /**
     * 返回的结果中中是否包含文件夹
     * 仅在FileMedia中生效
     * 仅在FileMedia中生效
     * 仅在FileMedia中生效
     */
    var includeFolder : Boolean = false

    /**
     * 支持查询的文件格式
     * 根据文件名称后缀 进行判断 例如：png jpg
     * 都使用小写
     */
    var supportMimeTypes: List<String> = mutableListOf()

    /**
     * 是否递归出该目录下所有子文件夹数据
     */
    var recursively : Boolean = false

}





